<%--
 /*
  * Copyright 2005 Sun Microsystems, Inc. All rights reserved. 
  * Use is subject to license terms.
  *
  * ident	"@(#)RepGroupSummary.jsp	1.12	05/10/24 SMI"
  *
  */
--%>
<%@ page info="Index" language="java" %> 
<%@taglib uri="/WEB-INF/tld/com_iplanet_jato/jato.tld" prefix="jato"%>
<%@taglib uri="/WEB-INF/tld/com_sun_web_ui/cc.tld" prefix="cc"%>

<jato:useViewBean className="com.sun.netstorage.mgmt.rrm.ui.replication.RepGroupSummaryViewBean">

<!-- Define the resource bundle, html, head, meta, stylesheet and body tags -->
<cc:header pageTitle="rrm.title"
           copyrightYear="2005"
           baseName="com.sun.netstorage.mgmt.rrm.shared.resources.Resources"
           bundleID="rrmBundle"
           onLoad="initMenu()">
<cc:stylesheet/>

<cc:form name="rrmForm" method="post">
<!-- Masthead -->
<cc:primarymasthead name="Masthead" bundleID="rrmBundle" />

<!-- Navigation Tabs -->
<jato:content name="LocalTabs">
  <cc:tabs name="Tabs" bundleID="rrmBundle" />
</jato:content>

<script language="JavaScript">
    // Cache checkbox values per row
    var checkBoxesAry;
    var previousCheckCount = 0;

    function initMenu() {
        // These arrays will cache the Checkboxes names.
        // They are global variables.
        checkboxesAry = new Array();

        // Element name (prefix) of selection checkbox.
        var checkBoxPrefix = "RepGroupSummary.RepGroupSummaryView.RepGroupSummaryTable.SelectionCheckbox";

        // Document form.
        var form = document.rrmForm;

        var index = 0;

        // Set flag if a selection has been made.
        for (var i = 0; i < form.elements.length; i++) {
           var e = form.elements[i];

           if (e.name && e.name.indexOf(checkBoxPrefix) != -1) {
              // Ignore "sub-elements" (i.e. ".jato_boolean") whose name begins with same string.
              if (e.name.lastIndexOf('.') > (checkBoxPrefix.length - 1))
                  continue;

              checkboxesAry[index++] = e;
           }
       }

       // Enable dropdown options when page is loaded. 
       // The drop down menu itself is disabled as none of the rows are selected when the page is loaded. 
       // However it is important to enable the options so that when a row is selected and drop down menu
       // is enabled, the options are enabled too. 
       ccSetDropDownMenuOptionDisabled("RepGroupSummary.RepGroupSummaryView.GroupSyncMenu", "rrmForm", false, 1)
       ccSetDropDownMenuOptionDisabled("RepGroupSummary.RepGroupSummaryView.GroupSyncMenu", "rrmForm", false, 2)
       ccSetDropDownMenuOptionDisabled("RepGroupSummary.RepGroupSummaryView.GroupSyncMenu", "rrmForm", false, 3)
       ccSetDropDownMenuOptionDisabled("RepGroupSummary.RepGroupSummaryView.GroupSyncMenu", "rrmForm", false, 4)
       ccSetDropDownMenuOptionDisabled("RepGroupSummary.RepGroupSummaryView.GroupSyncMenu", "rrmForm", false, 5)
       
       toggleDisabledState();
    }

    // Return the number of checked items in the table
    function getCheckCount() {

        var nChecked = 0;

        // Set flag if a selection has been made.
        for (var i = 0; i < checkboxesAry.length; i++) {
            
            var e = checkboxesAry[i];

	    if (e != null) {
		if (e.checked) {
		    nChecked++;
		}
	    }
        }            

        return nChecked;
    }
    
    function confirm_delete() {
        var str = "<cc:text name='ConfirmDelete' bundleID="rrmBundle" defaultValue='rrm.repgroupsummary.confirm.delete'/>";
        return input_box=confirm(str);
    }

    function confirm_sync() {
        var str = "Are you sure you want to perform this operation?";
        return input_box=confirm(str);
    }
    function suspend_fs() {
      var elem = "RepGroupSummary.RepGroupSummaryView.GroupSyncMenu";
      var form = document.rrmForm;
      for (i = 0; i < form.elements.length; i++) {
        var e = form.elements[i];
        if (e.name.indexOf(elem) != -1) {
            if (e.options[e.options.selectedIndex].value == 4) {
                var win = window.open('/rrmui/replication/RepFastStart?&amp;amp; com_sun_web_ui_popup=true','FastStart','height=450,width=400,left=300,right=300');
                win.focus();
                return true;
            } else return true;
        }
      }
    }

    // This function will toggle the disabled state of the delete action button
    // depending on no selection OR selection.
    function toggleDisabledState() {

        var disabled = true;
        var checkCount = getCheckCount();

        // get # checked
        if ( checkCount > 0 )
            disabled = false;

        // Change button appearance when transitioning from 0 selected,
        // and when 0 are selected (for 1st page load)
        if (  (checkCount > 0 && previousCheckCount == 0)
            ||(checkCount == 0 ) ) {

          // Enable/Disable the Delete button 
          ccSetButtonDisabled("RepGroupSummary.RepGroupSummaryView.ActionButton0", "rrmForm", disabled);

          // Enable/Disable the drop dowm menu
          ccSetDropDownMenuDisabled("RepGroupSummary.RepGroupSummaryView.GroupSyncMenu", "rrmForm", disabled)
        }

        previousCheckCount = checkCount;
    }
</script>

<!-- Alert -->
<div class="ConMgn">
    <br/>
</div>
<cc:alertinline name="Alert" bundleID="rrmBundle" />

<!-- Page Title --> 
<cc:pagetitle name="PageTitle" 
              bundleID="rrmBundle" 
              pageTitleText="rrm.repgroupsummary.title" />

<br />

<!-- Action Table -->
<jato:containerView name="RepGroupSummaryView">
  <cc:actiontable
    name="RepGroupSummaryTable"
    bundleID="rrmBundle"
    title="rrm.replication.repgroupsummary.tabletitle"
    selectionType="multiple"
    selectionJavascript = "setTimeout('toggleDisabledState()',0)"
    showAdvancedSortIcon="true"
    showLowerActions="true"
    showPaginationControls="true"
    showPaginationIcon="true"
    showSelectionIcons="true"
    maxRows="25"
    page="1"/>
</jato:containerView>


</cc:form>
</cc:header>
</jato:useViewBean> 
